Subject: Re: [PATCH 8/9]: sch_hfsc: Use ->requeue queue instead of ops.

From: Patrick McHardy <[email-masked]>
Date: Tue, 19 Aug 2008 15:07:10 +0200

David Miller wrote:
> From: Patrick McHardy <[email-masked]>
> Date: Mon, 18 Aug 2008 16:11:57 +0200
> 
>> I think we really need either ->requeue or a real ->peek operation.
> 
> All the code duplication and complexity is what I'm trying to avoid.
> 
> I see no value in overhauling and auditing all of these ->requeue()
> implementations and how they return status codes when the facility
> itself is largely superfluous.
> 
> Maybe we can simply add a "bool peek" argument or some flags to
> ->dequeue() instead.

Yes, that should work. It might get a big ugly though since the
->dequeue functions have to make sure not to modify any state
while peeking.